package com.company;
import com.company.throwable.Throwable;

import java.util.Random;

public class Main {

    public static void main(String[] args) {
        Fighter enemy = new Enemy(10, 5, "Karl");
        Player player = new Player(15, 10, "John McClane");
        BossEnemy bossEnemy = new BossEnemy(10, 10, "Hans Gruber");
        Wall wall = new Wall();
        Kickable[] punchableObjects = { bossEnemy, enemy, player, wall };
        Throwable[] throwableObjects = { bossEnemy, enemy, player, new Chair() };
        Random rand = new Random();
        int thingToPunch = rand.nextInt(punchableObjects.length);
        punchableObjects[thingToPunch].damage(player);
        int thingToThrow = rand.nextInt(throwableObjects.length);
        throwableObjects[thingToThrow].throwMe(player);
    }
}
