package com.company;

public class Enemy extends Fighter {
    public Enemy(int health, int damage, String name) {
        super(health, damage, name);
    }

    public void interact(Player p) {
        p.damage(this);
    }

    @Override
    public void damage(Fighter fighter) {
        super.damage(fighter);
        if(this.getHealth() <= 0) {
            System.out.println(this.getName() + " died! Serves 'em right!");
        }
    }
}
